# PrimitiveTimestamp Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveTimestamp:
[legend]

List of all members.

## Public Member Functions

| importMarried ($scope)

## Public Attributes

const | HOURS = 'hrs'
const | MINUTES = 'min'
const | SECONDS = 'sec'

## Protected Member Functions

| getObjectName ()

## Detailed Description

Definition at line 15 of file PrimitiveTimestamp.class.php.

## Member Function Documentation

PrimitiveTimestamp::getObjectName | ( |  | ) | `[protected]`

Reimplemented from PrimitiveDate.

Definition at line 72 of file PrimitiveTimestamp.class.php.

PrimitiveTimestamp::importMarried | ( | $ | scope | ) |

Reimplemented from PrimitiveDate.

Definition at line 21 of file PrimitiveTimestamp.class.php.

References PrimitiveDate::checkRanges(), BasePrimitive::import(), PrimitiveDate::isEmpty(), and BasePrimitive::isRequired().

Here is the call graph for this function:

## Member Data Documentation

const PrimitiveTimestamp::HOURS = 'hrs'

Definition at line 17 of file PrimitiveTimestamp.class.php.

Referenced by PrimitiveDate::importValue().

const PrimitiveTimestamp::MINUTES = 'min'

Definition at line 18 of file PrimitiveTimestamp.class.php.

Referenced by PrimitiveDate::importValue().

const PrimitiveTimestamp::SECONDS = 'sec'

Definition at line 19 of file PrimitiveTimestamp.class.php.

Referenced by PrimitiveDate::importValue().

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveTimestamp.class.php